Index: trunk/NEMO/TOP_SRC/SMS/p4zbio.F
===================================================================
--- trunk/NEMO/TOP_SRC/SMS/p4zbio.F	(revision 340)
+++ trunk/NEMO/TOP_SRC/SMS/p4zbio.F	(revision 341)
@@ -1,2 +1,7 @@
+
+CCC $Header$ 
+CCC  TOP 1.0 , LOCEAN-IPSL (2005) 
+C This software is governed by CeCILL licence see modipsl/doc/NEMO_CeCILL.txt 
+C ---------------------------------------------------------------------------
       SUBROUTINE p4zbio
 CDIR$ LIST
Index: trunk/NEMO/TOP_SRC/SMS/p4zche.F
===================================================================
--- trunk/NEMO/TOP_SRC/SMS/p4zche.F	(revision 340)
+++ trunk/NEMO/TOP_SRC/SMS/p4zche.F	(revision 341)
@@ -1,2 +1,7 @@
+
+CCC $Header$ 
+CCC  TOP 1.0 , LOCEAN-IPSL (2005) 
+C This software is governed by CeCILL licence see modipsl/doc/NEMO_CeCILL.txt 
+C ---------------------------------------------------------------------------
 CDIR$ LIST
       SUBROUTINE p4zche
Index: trunk/NEMO/TOP_SRC/SMS/p4zdiat.F
===================================================================
--- trunk/NEMO/TOP_SRC/SMS/p4zdiat.F	(revision 340)
+++ trunk/NEMO/TOP_SRC/SMS/p4zdiat.F	(revision 341)
@@ -1,2 +1,7 @@
+
+CCC $Header$ 
+CCC  TOP 1.0 , LOCEAN-IPSL (2005) 
+C This software is governed by CeCILL licence see modipsl/doc/NEMO_CeCILL.txt 
+C ---------------------------------------------------------------------------
 CDIR$ LIST
       SUBROUTINE p4zdiat
Index: trunk/NEMO/TOP_SRC/SMS/p4zflx.F
===================================================================
--- trunk/NEMO/TOP_SRC/SMS/p4zflx.F	(revision 340)
+++ trunk/NEMO/TOP_SRC/SMS/p4zflx.F	(revision 341)
@@ -1,2 +1,7 @@
+
+CCC $Header$ 
+CCC  TOP 1.0 , LOCEAN-IPSL (2005) 
+C This software is governed by CeCILL licence see modipsl/doc/NEMO_CeCILL.txt 
+C ---------------------------------------------------------------------------
 CDIR$ LIST
       SUBROUTINE p4zflx
Index: trunk/NEMO/TOP_SRC/SMS/p4zint.F
===================================================================
--- trunk/NEMO/TOP_SRC/SMS/p4zint.F	(revision 340)
+++ trunk/NEMO/TOP_SRC/SMS/p4zint.F	(revision 341)
@@ -1,2 +1,7 @@
+
+CCC $Header$ 
+CCC  TOP 1.0 , LOCEAN-IPSL (2005) 
+C This software is governed by CeCILL licence see modipsl/doc/NEMO_CeCILL.txt 
+C ---------------------------------------------------------------------------
 CDIR$ LIST
       SUBROUTINE p4zint(kt)
Index: trunk/NEMO/TOP_SRC/SMS/p4zlim.F
===================================================================
--- trunk/NEMO/TOP_SRC/SMS/p4zlim.F	(revision 340)
+++ trunk/NEMO/TOP_SRC/SMS/p4zlim.F	(revision 341)
@@ -1,2 +1,7 @@
+
+CCC $Header$ 
+CCC  TOP 1.0 , LOCEAN-IPSL (2005) 
+C This software is governed by CeCILL licence see modipsl/doc/NEMO_CeCILL.txt 
+C ---------------------------------------------------------------------------
 CDIR$ LIST
       SUBROUTINE p4zlim
Index: trunk/NEMO/TOP_SRC/SMS/p4zlys.F
===================================================================
--- trunk/NEMO/TOP_SRC/SMS/p4zlys.F	(revision 340)
+++ trunk/NEMO/TOP_SRC/SMS/p4zlys.F	(revision 341)
@@ -1,2 +1,7 @@
+
+CCC $Header$ 
+CCC  TOP 1.0 , LOCEAN-IPSL (2005) 
+C This software is governed by CeCILL licence see modipsl/doc/NEMO_CeCILL.txt 
+C ---------------------------------------------------------------------------
 CDIR$ LIST
        SUBROUTINE p4zlys
Index: trunk/NEMO/TOP_SRC/SMS/p4zmeso.F
===================================================================
--- trunk/NEMO/TOP_SRC/SMS/p4zmeso.F	(revision 340)
+++ trunk/NEMO/TOP_SRC/SMS/p4zmeso.F	(revision 341)
@@ -1,2 +1,7 @@
+
+CCC $Header$ 
+CCC  TOP 1.0 , LOCEAN-IPSL (2005) 
+C This software is governed by CeCILL licence see modipsl/doc/NEMO_CeCILL.txt 
+C ---------------------------------------------------------------------------
 CDIR$ LIST
       SUBROUTINE p4zmeso
Index: trunk/NEMO/TOP_SRC/SMS/p4zmicro.F
===================================================================
--- trunk/NEMO/TOP_SRC/SMS/p4zmicro.F	(revision 340)
+++ trunk/NEMO/TOP_SRC/SMS/p4zmicro.F	(revision 341)
@@ -1,2 +1,7 @@
+
+CCC $Header$ 
+CCC  TOP 1.0 , LOCEAN-IPSL (2005) 
+C This software is governed by CeCILL licence see modipsl/doc/NEMO_CeCILL.txt 
+C ---------------------------------------------------------------------------
 CDIR$ LIST
       SUBROUTINE p4zmicro
Index: trunk/NEMO/TOP_SRC/SMS/p4znano.F
===================================================================
--- trunk/NEMO/TOP_SRC/SMS/p4znano.F	(revision 340)
+++ trunk/NEMO/TOP_SRC/SMS/p4znano.F	(revision 341)
@@ -1,2 +1,7 @@
+
+CCC $Header$ 
+CCC  TOP 1.0 , LOCEAN-IPSL (2005) 
+C This software is governed by CeCILL licence see modipsl/doc/NEMO_CeCILL.txt 
+C ---------------------------------------------------------------------------
 CDIR$ LIST
       SUBROUTINE p4znano
Index: trunk/NEMO/TOP_SRC/SMS/p4zopt.F
===================================================================
--- trunk/NEMO/TOP_SRC/SMS/p4zopt.F	(revision 340)
+++ trunk/NEMO/TOP_SRC/SMS/p4zopt.F	(revision 341)
@@ -1,2 +1,7 @@
+
+CCC $Header$ 
+CCC  TOP 1.0 , LOCEAN-IPSL (2005) 
+C This software is governed by CeCILL licence see modipsl/doc/NEMO_CeCILL.txt 
+C ---------------------------------------------------------------------------
 CDIR$ LIST
       SUBROUTINE p4zopt
Index: trunk/NEMO/TOP_SRC/SMS/p4zprg.F
===================================================================
--- trunk/NEMO/TOP_SRC/SMS/p4zprg.F	(revision 340)
+++ trunk/NEMO/TOP_SRC/SMS/p4zprg.F	(revision 341)
@@ -1,2 +1,7 @@
+
+CCC $Header$ 
+CCC  TOP 1.0 , LOCEAN-IPSL (2005) 
+C This software is governed by CeCILL licence see modipsl/doc/NEMO_CeCILL.txt 
+C ---------------------------------------------------------------------------
 CDIR$ LIST
        SUBROUTINE p4zprg(kt)
Index: trunk/NEMO/TOP_SRC/SMS/p4zprod.F
===================================================================
--- trunk/NEMO/TOP_SRC/SMS/p4zprod.F	(revision 340)
+++ trunk/NEMO/TOP_SRC/SMS/p4zprod.F	(revision 341)
@@ -1,2 +1,7 @@
+
+CCC $Header$ 
+CCC  TOP 1.0 , LOCEAN-IPSL (2005) 
+C This software is governed by CeCILL licence see modipsl/doc/NEMO_CeCILL.txt 
+C ---------------------------------------------------------------------------
 CDIR$ LIST
       SUBROUTINE p4zprod
Index: trunk/NEMO/TOP_SRC/SMS/p4zrem.F
===================================================================
--- trunk/NEMO/TOP_SRC/SMS/p4zrem.F	(revision 340)
+++ trunk/NEMO/TOP_SRC/SMS/p4zrem.F	(revision 341)
@@ -1,2 +1,7 @@
+
+CCC $Header$ 
+CCC  TOP 1.0 , LOCEAN-IPSL (2005) 
+C This software is governed by CeCILL licence see modipsl/doc/NEMO_CeCILL.txt 
+C ---------------------------------------------------------------------------
 CDIR$ LIST
       SUBROUTINE p4zrem
Index: trunk/NEMO/TOP_SRC/SMS/p4zsed.F
===================================================================
--- trunk/NEMO/TOP_SRC/SMS/p4zsed.F	(revision 340)
+++ trunk/NEMO/TOP_SRC/SMS/p4zsed.F	(revision 341)
@@ -1,2 +1,7 @@
+
+CCC $Header$ 
+CCC  TOP 1.0 , LOCEAN-IPSL (2005) 
+C This software is governed by CeCILL licence see modipsl/doc/NEMO_CeCILL.txt 
+C ---------------------------------------------------------------------------
 CDIR$ LIST
       SUBROUTINE p4zsed
Index: trunk/NEMO/TOP_SRC/SMS/p4zsink.F
===================================================================
--- trunk/NEMO/TOP_SRC/SMS/p4zsink.F	(revision 340)
+++ trunk/NEMO/TOP_SRC/SMS/p4zsink.F	(revision 341)
@@ -1,2 +1,7 @@
+
+CCC $Header$ 
+CCC  TOP 1.0 , LOCEAN-IPSL (2005) 
+C This software is governed by CeCILL licence see modipsl/doc/NEMO_CeCILL.txt 
+C ---------------------------------------------------------------------------
 CDIR$ LIST
       SUBROUTINE p4zsink
Index: trunk/NEMO/TOP_SRC/SMS/p4zsink2.F
===================================================================
--- trunk/NEMO/TOP_SRC/SMS/p4zsink2.F	(revision 340)
+++ trunk/NEMO/TOP_SRC/SMS/p4zsink2.F	(revision 341)
@@ -1,2 +1,7 @@
+
+CCC $Header$ 
+CCC  TOP 1.0 , LOCEAN-IPSL (2005) 
+C This software is governed by CeCILL licence see modipsl/doc/NEMO_CeCILL.txt 
+C ---------------------------------------------------------------------------
       SUBROUTINE p4zsink2(wstmp,sinktemp,jn)
 CDIR$ LIST
Index: trunk/NEMO/TOP_SRC/SMS/p4zslow.F
===================================================================
--- trunk/NEMO/TOP_SRC/SMS/p4zslow.F	(revision 340)
+++ trunk/NEMO/TOP_SRC/SMS/p4zslow.F	(revision 341)
@@ -1,2 +1,7 @@
+
+CCC $Header$ 
+CCC  TOP 1.0 , LOCEAN-IPSL (2005) 
+C This software is governed by CeCILL licence see modipsl/doc/NEMO_CeCILL.txt 
+C ---------------------------------------------------------------------------
 CDIR$ LIST
       SUBROUTINE p4zslow(kt)
Index: trunk/NEMO/TOP_SRC/SMS/par_sms.F90
===================================================================
--- trunk/NEMO/TOP_SRC/SMS/par_sms.F90	(revision 340)
+++ trunk/NEMO/TOP_SRC/SMS/par_sms.F90	(revision 341)
@@ -10,4 +10,9 @@
    !!
    !!
+   !!----------------------------------------------------------------------
+   !!  TOP 1.0 , LOCEAN-IPSL (2005) 
+   !! $Header$ 
+   !! This software is governed by the CeCILL licence see modipsl/doc/NEMO_CeCILL.txt 
+   !!----------------------------------------------------------------------
    USE par_trc_trp
    IMPLICIT NONE
Index: trunk/NEMO/TOP_SRC/SMS/par_sms_cfc.h90
===================================================================
--- trunk/NEMO/TOP_SRC/SMS/par_sms_cfc.h90	(revision 340)
+++ trunk/NEMO/TOP_SRC/SMS/par_sms_cfc.h90	(revision 341)
@@ -5,5 +5,7 @@
 
    !!----------------------------------------------------------------------
-   !!  TOP 1.0,  LOCEAN-IPSL (2005)
+   !!  TOP 1.0 , LOCEAN-IPSL (2005) 
+   !! $Header$ 
+   !! This software is governed by the CeCILL licence see modipsl/doc/NEMO_CeCILL.txt 
    !!----------------------------------------------------------------------
 
Index: trunk/NEMO/TOP_SRC/SMS/sms.F90
===================================================================
--- trunk/NEMO/TOP_SRC/SMS/sms.F90	(revision 340)
+++ trunk/NEMO/TOP_SRC/SMS/sms.F90	(revision 341)
@@ -7,5 +7,7 @@
    !!   9.0  !  04-03  (C. Ethe)  Free form and module
    !!----------------------------------------------------------------------
-   !!  TOP 1.0,  LOCEAN-IPSL (2005)
+   !!  TOP 1.0 , LOCEAN-IPSL (2005) 
+   !! $Header$ 
+   !! This software is governed by the CeCILL licence see modipsl/doc/NEMO_CeCILL.txt 
    !!----------------------------------------------------------------------
    !! * Modules used
Index: trunk/NEMO/TOP_SRC/SMS/sms_cfc.h90
===================================================================
--- trunk/NEMO/TOP_SRC/SMS/sms_cfc.h90	(revision 340)
+++ trunk/NEMO/TOP_SRC/SMS/sms_cfc.h90	(revision 341)
@@ -5,5 +5,7 @@
 
    !!----------------------------------------------------------------------
-   !!  TOP 1.0,  LOCEAN-IPSL (2005)
+   !!  TOP 1.0 , LOCEAN-IPSL (2005) 
+   !! $Header$ 
+   !! This software is governed by the CeCILL licence see modipsl/doc/NEMO_CeCILL.txt 
    !!----------------------------------------------------------------------
 
Index: trunk/NEMO/TOP_SRC/SMS/sms_lobster1.h90
===================================================================
--- trunk/NEMO/TOP_SRC/SMS/sms_lobster1.h90	(revision 340)
+++ trunk/NEMO/TOP_SRC/SMS/sms_lobster1.h90	(revision 341)
@@ -15,5 +15,7 @@
 !!
 !!---------------------------------------------------------------------
-!!  opa8, ipsl (11/96)
+!!  TOP 1.0 , LOCEAN-IPSL (2005) 
+   !! $Header$ 
+   !! This software is governed by the CeCILL licence see modipsl/doc/NEMO_CeCILL.txt 
 !!---------------------------------------------------------------------
 !!
Index: trunk/NEMO/TOP_SRC/SMS/sms_pisces.h90
===================================================================
--- trunk/NEMO/TOP_SRC/SMS/sms_pisces.h90	(revision 340)
+++ trunk/NEMO/TOP_SRC/SMS/sms_pisces.h90	(revision 341)
@@ -13,5 +13,7 @@
 !!
 !!---------------------------------------------------------------------
-!!  opa8, ipsl (11/96)
+!!  TOP 1.0 , LOCEAN-IPSL (2005) 
+   !! $Header$ 
+   !! This software is governed by the CeCILL licence see modipsl/doc/NEMO_CeCILL.txt 
 !!---------------------------------------------------------------------
 !!
Index: trunk/NEMO/TOP_SRC/SMS/trcbio.F
===================================================================
--- trunk/NEMO/TOP_SRC/SMS/trcbio.F	(revision 340)
+++ trunk/NEMO/TOP_SRC/SMS/trcbio.F	(revision 341)
@@ -1,2 +1,7 @@
+
+CCC $Header$ 
+CCC  TOP 1.0 , LOCEAN-IPSL (2005) 
+C This software is governed by CeCILL licence see modipsl/doc/NEMO_CeCILL.txt 
+C ---------------------------------------------------------------------------
       SUBROUTINE trcbio(kt)
 #if defined key_passivetrc && defined key_trc_lobster1
Index: trunk/NEMO/TOP_SRC/SMS/trcctl.cfc.h90
===================================================================
--- trunk/NEMO/TOP_SRC/SMS/trcctl.cfc.h90	(revision 340)
+++ trunk/NEMO/TOP_SRC/SMS/trcctl.cfc.h90	(revision 341)
@@ -1,9 +1,13 @@
-! $Id$
-!!!
-!!! Modifications:
-!!! --------------
-!!!    05-10 (C. Ethe): 
-!!!           assign a parameter to name individual tracers
-!!!
+   !!
+   !! Modifications:
+   !! --------------
+   !!    05-10 (C. Ethe): 
+   !!           assign a parameter to name individual tracers
+   !!
+   !!----------------------------------------------------------------------
+   !!  TOP 1.0 , LOCEAN-IPSL (2005) 
+   !! $Header$ 
+   !! This software is governed by the CeCILL licence see modipsl/doc/NEMO_CeCILL.txt 
+   !!----------------------------------------------------------------------
 
       IF(lwp) THEN
@@ -12,6 +16,6 @@
       ENDIF
 
-! Check number of tracers
-! -----------------------
+      ! Check number of tracers
+      ! -----------------------
      
       IF (jptra .GT. 2) THEN 
@@ -25,6 +29,7 @@
       END IF 
 
-! Check tracer names
-! ------------------
+      ! Check tracer names
+      ! ------------------
+
       IF ( jptra == 1 ) THEN
          IF ( jp11 == 1 ) THEN
@@ -62,5 +67,6 @@
 
 
-! Check tracer units
+      ! Check tracer units
+      ! ------------------
 
       DO jn=1,jptra
Index: trunk/NEMO/TOP_SRC/SMS/trcctl.pisces.h90
===================================================================
--- trunk/NEMO/TOP_SRC/SMS/trcctl.pisces.h90	(revision 340)
+++ trunk/NEMO/TOP_SRC/SMS/trcctl.pisces.h90	(revision 341)
@@ -1,8 +1,14 @@
+
+   !!----------------------------------------------------------------------
+   !!  TOP 1.0 , LOCEAN-IPSL (2005) 
+   !! $Header$ 
+   !! This software is governed by the CeCILL licence see modipsl/doc/NEMO_CeCILL.txt 
+   !!----------------------------------------------------------------------
 #if defined key_trc_pisces
       IF(lwp) WRITE(numout,*) ' use PISCES biological model '
       IF(lwp) WRITE(numout,*) ' '
 
-! Check number of tracers
-! -----------------------
+   ! Check number of tracers
+   ! -----------------------
 
       IF (jptra /= 24) THEN 
Index: trunk/NEMO/TOP_SRC/SMS/trcfreons.F90
===================================================================
--- trunk/NEMO/TOP_SRC/SMS/trcfreons.F90	(revision 340)
+++ trunk/NEMO/TOP_SRC/SMS/trcfreons.F90	(revision 341)
@@ -39,5 +39,7 @@
 
    !!----------------------------------------------------------------------
-   !!  TOP 1.0,  LOCEAN-IPSL (2005) 
+   !!  TOP 1.0 , LOCEAN-IPSL (2005) 
+   !! $Header$ 
+   !! This software is governed by the CeCILL licence see modipsl/doc/NEMO_CeCILL.txt 
    !!----------------------------------------------------------------------
 
@@ -233,5 +235,7 @@
       !!   9.0  !  05-10  (C. Ethe) Modularity 
       !!---------------------------------------------------------------------
-      !!  TOP 1.0,  LOCEAN-IPSL (2005)
+      !!  TOP 1.0 , LOCEAN-IPSL (2005) 
+   !! $Header$ 
+   !! This software is governed by the CeCILL licence see modipsl/doc/NEMO_CeCILL.txt 
       !!----------------------------------------------------------------
       !! Local declarations
Index: trunk/NEMO/TOP_SRC/SMS/trcini.cfc.h90
===================================================================
--- trunk/NEMO/TOP_SRC/SMS/trcini.cfc.h90	(revision 340)
+++ trunk/NEMO/TOP_SRC/SMS/trcini.cfc.h90	(revision 341)
@@ -26,6 +26,8 @@
       !!   9.0  !  05-10  (C. Ethe) Modularity 
       !!---------------------------------------------------------------------
-      !!  TOP 1.0,  LOCEAN-IPSL (2005)
-      !!----------------------------------------------------------------
+      !!  TOP 1.0 , LOCEAN-IPSL (2005) 
+   !! $Header$ 
+   !! This software is governed by the CeCILL licence see modipsl/doc/NEMO_CeCILL.txt 
+      !!---------------------------------------------------------------------
       !! Local declarations
       INTEGER  :: ji, jj, jn, jl, jm
Index: trunk/NEMO/TOP_SRC/SMS/trcini.lobster1.h90
===================================================================
--- trunk/NEMO/TOP_SRC/SMS/trcini.lobster1.h90	(revision 340)
+++ trunk/NEMO/TOP_SRC/SMS/trcini.lobster1.h90	(revision 341)
@@ -19,5 +19,9 @@
       !!                           add sediment computations
       !!    03-05 : O. Aumont and A. El Moussaoui F90  
-      !!---------------------------------------------------------------------
+      !!----------------------------------------------------------------------
+      !!  TOP 1.0 , LOCEAN-IPSL (2005) 
+   !! $Header$ 
+   !! This software is governed by the CeCILL licence see modipsl/doc/NEMO_CeCILL.txt 
+      !!----------------------------------------------------------------------
       !! local declarations
       !! ==================
Index: trunk/NEMO/TOP_SRC/SMS/trcini.pisces.h90
===================================================================
--- trunk/NEMO/TOP_SRC/SMS/trcini.pisces.h90	(revision 340)
+++ trunk/NEMO/TOP_SRC/SMS/trcini.pisces.h90	(revision 341)
@@ -35,5 +35,9 @@
       !!      additions : 2002     O. Aumont (PISCES)
       !!     03-2005 O. Aumont and A. El Moussaoui F90
-      !!---------------------------------------------------------------------
+      !!----------------------------------------------------------------------
+      !!  TOP 1.0 , LOCEAN-IPSL (2005) 
+   !! $Header$ 
+   !! This software is governed by the CeCILL licence see modipsl/doc/NEMO_CeCILL.txt 
+      !!----------------------------------------------------------------------
       !! local declarations
       !! ==================
Index: trunk/NEMO/TOP_SRC/SMS/trclsm.cfc.h90
===================================================================
--- trunk/NEMO/TOP_SRC/SMS/trclsm.cfc.h90	(revision 340)
+++ trunk/NEMO/TOP_SRC/SMS/trclsm.cfc.h90	(revision 341)
@@ -17,5 +17,9 @@
       !! history :
       !!   2.0  !  03-08 (C. Ethe)  Original code
-      !!-------------------------------------------------------------------
+      !!----------------------------------------------------------------------
+      !!  TOP 1.0 , LOCEAN-IPSL (2005) 
+   !! $Header$ 
+   !! This software is governed by the CeCILL licence see modipsl/doc/NEMO_CeCILL.txt 
+      !!----------------------------------------------------------------------
 
       CHARACTER (len=32) ::  &
Index: trunk/NEMO/TOP_SRC/SMS/trclsm.lobster1.h90
===================================================================
--- trunk/NEMO/TOP_SRC/SMS/trclsm.lobster1.h90	(revision 340)
+++ trunk/NEMO/TOP_SRC/SMS/trclsm.lobster1.h90	(revision 341)
@@ -27,5 +27,7 @@
 
       !!---------------------------------------------------------------------
-      !!  OPA8, LODYC (15/11/96)
+      !!  TOP 1.0 , LOCEAN-IPSL (2005) 
+   !! $Header$ 
+   !! This software is governed by the CeCILL licence see modipsl/doc/NEMO_CeCILL.txt 
       !!---------------------------------------------------------------------
 
Index: trunk/NEMO/TOP_SRC/SMS/trclsm.pisces.h90
===================================================================
--- trunk/NEMO/TOP_SRC/SMS/trclsm.pisces.h90	(revision 340)
+++ trunk/NEMO/TOP_SRC/SMS/trclsm.pisces.h90	(revision 341)
@@ -26,5 +26,7 @@
 
       !!---------------------------------------------------------------------
-      !!  OPA8, LODYC (15/11/96)
+      !!  TOP 1.0 , LOCEAN-IPSL (2005) 
+   !! $Header$ 
+   !! This software is governed by the CeCILL licence see modipsl/doc/NEMO_CeCILL.txt 
       !!---------------------------------------------------------------------
 