Index: trunk/NEMO/TOP_SRC/TRP/trcadv_cen2.F90
===================================================================
--- trunk/NEMO/TOP_SRC/TRP/trcadv_cen2.F90	(revision 341)
+++ trunk/NEMO/TOP_SRC/TRP/trcadv_cen2.F90	(revision 342)
@@ -25,5 +25,7 @@
 #  include "passivetrc_substitute.h90"
    !!----------------------------------------------------------------------
-   !!   OPA 9.0 , LODYC-IPSL (2003)
+   !!   OPA 9.0 , LOCEAN-IPSL (2005) 
+   !! $Header$ 
+   !! This software is governed by the CeCILL licence see modipsl/doc/NEMO_CeCILL.txt 
    !!----------------------------------------------------------------------
 
Index: trunk/NEMO/TOP_SRC/TRP/trcadv_muscl.F90
===================================================================
--- trunk/NEMO/TOP_SRC/TRP/trcadv_muscl.F90	(revision 341)
+++ trunk/NEMO/TOP_SRC/TRP/trcadv_muscl.F90	(revision 342)
@@ -26,5 +26,7 @@
 #  include "passivetrc_substitute.h90"
    !!----------------------------------------------------------------------
-   !!   OPA 9.0 , LODYC-IPSL (2003)
+   !!   OPA 9.0 , LOCEAN-IPSL (2005) 
+   !! $Header$ 
+   !! This software is governed by the CeCILL licence see modipsl/doc/NEMO_CeCILL.txt 
    !!----------------------------------------------------------------------
 
Index: trunk/NEMO/TOP_SRC/TRP/trcadv_muscl2.F90
===================================================================
--- trunk/NEMO/TOP_SRC/TRP/trcadv_muscl2.F90	(revision 341)
+++ trunk/NEMO/TOP_SRC/TRP/trcadv_muscl2.F90	(revision 342)
@@ -29,5 +29,7 @@
 #  include "passivetrc_substitute.h90"
    !!----------------------------------------------------------------------
-   !!   OPA 9.0 , LODYC-IPSL (2003)
+   !!   OPA 9.0 , LOCEAN-IPSL (2005) 
+   !! $Header$ 
+   !! This software is governed by the CeCILL licence see modipsl/doc/NEMO_CeCILL.txt 
    !!----------------------------------------------------------------------
 
Index: trunk/NEMO/TOP_SRC/TRP/trcadv_smolar.F90
===================================================================
--- trunk/NEMO/TOP_SRC/TRP/trcadv_smolar.F90	(revision 341)
+++ trunk/NEMO/TOP_SRC/TRP/trcadv_smolar.F90	(revision 342)
@@ -30,5 +30,7 @@
 #  include "passivetrc_substitute.h90"
    !!----------------------------------------------------------------------
-   !!   OPA 9.0 , LODYC-IPSL (2003)
+   !!   OPA 9.0 , LOCEAN-IPSL (2005) 
+   !! $Header$ 
+   !! This software is governed by the CeCILL licence see modipsl/doc/NEMO_CeCILL.txt 
    !!----------------------------------------------------------------------
 CONTAINS
Index: trunk/NEMO/TOP_SRC/TRP/trcadv_tvd.F90
===================================================================
--- trunk/NEMO/TOP_SRC/TRP/trcadv_tvd.F90	(revision 341)
+++ trunk/NEMO/TOP_SRC/TRP/trcadv_tvd.F90	(revision 342)
@@ -27,5 +27,7 @@
 #  include "passivetrc_substitute.h90"
    !!----------------------------------------------------------------------
-   !!   OPA 9.0 , LODYC-IPSL (2003)
+   !!   OPA 9.0 , LOCEAN-IPSL (2005) 
+   !! $Header$ 
+   !! This software is governed by the CeCILL licence see modipsl/doc/NEMO_CeCILL.txt 
    !!----------------------------------------------------------------------
 
Index: trunk/NEMO/TOP_SRC/TRP/trcbbc.F90
===================================================================
--- trunk/NEMO/TOP_SRC/TRP/trcbbc.F90	(revision 341)
+++ trunk/NEMO/TOP_SRC/TRP/trcbbc.F90	(revision 342)
@@ -40,5 +40,7 @@
 #  include "passivetrc_substitute.h90"
    !!----------------------------------------------------------------------
-   !!  OPA 9.0 , LODYC-IPSL (2003)
+   !!  OPA 9.0 , LOCEAN-IPSL (2005) 
+   !! $Header$ 
+   !! This software is governed by the CeCILL licence see modipsl/doc/NEMO_CeCILL.txt 
    !!----------------------------------------------------------------------
 
Index: trunk/NEMO/TOP_SRC/TRP/trcbbl.F90
===================================================================
--- trunk/NEMO/TOP_SRC/TRP/trcbbl.F90	(revision 341)
+++ trunk/NEMO/TOP_SRC/TRP/trcbbl.F90	(revision 342)
@@ -49,5 +49,7 @@
 #  include "passivetrc_substitute.h90"
    !!----------------------------------------------------------------------
-   !!   OPA 9.0 , LODYC-IPSL (2003)
+   !!   OPA 9.0 , LOCEAN-IPSL (2005) 
+   !! $Header$ 
+   !! This software is governed by the CeCILL licence see modipsl/doc/NEMO_CeCILL.txt 
    !!----------------------------------------------------------------------
 
Index: trunk/NEMO/TOP_SRC/TRP/trcbbl_adv.h90
===================================================================
--- trunk/NEMO/TOP_SRC/TRP/trcbbl_adv.h90	(revision 341)
+++ trunk/NEMO/TOP_SRC/TRP/trcbbl_adv.h90	(revision 342)
@@ -4,5 +4,7 @@
 
    !!----------------------------------------------------------------------
-   !!   OPA 9.0 , LODYC-IPSL  (2003)
+   !!   OPA 9.0 , LOCEAN-IPSL (2005) 
+   !! $Header$ 
+   !! This software is governed by the CeCILL licence see modipsl/doc/NEMO_CeCILL.txt 
    !!----------------------------------------------------------------------
 
Index: trunk/NEMO/TOP_SRC/TRP/trcdmp.F90
===================================================================
--- trunk/NEMO/TOP_SRC/TRP/trcdmp.F90	(revision 341)
+++ trunk/NEMO/TOP_SRC/TRP/trcdmp.F90	(revision 342)
@@ -36,5 +36,7 @@
 #  include "passivetrc_substitute.h90"
    !!----------------------------------------------------------------------
-   !!   OPA 9.0 , LODYC-IPSL (2003)
+   !!   OPA 9.0 , LOCEAN-IPSL (2005) 
+   !! $Header$ 
+   !! This software is governed by the CeCILL licence see modipsl/doc/NEMO_CeCILL.txt 
    !!----------------------------------------------------------------------
 
Index: trunk/NEMO/TOP_SRC/TRP/trcldf_bilap.F90
===================================================================
--- trunk/NEMO/TOP_SRC/TRP/trcldf_bilap.F90	(revision 341)
+++ trunk/NEMO/TOP_SRC/TRP/trcldf_bilap.F90	(revision 342)
@@ -24,5 +24,7 @@
 #  include "passivetrc_substitute.h90"
    !!----------------------------------------------------------------------
-   !!   OPA 9.0 , LODYC-IPSL (2003)
+   !!   OPA 9.0 , LOCEAN-IPSL (2005) 
+   !! $Header$ 
+   !! This software is governed by the CeCILL licence see modipsl/doc/NEMO_CeCILL.txt 
    !!----------------------------------------------------------------------
 
Index: trunk/NEMO/TOP_SRC/TRP/trcldf_bilapg.F90
===================================================================
--- trunk/NEMO/TOP_SRC/TRP/trcldf_bilapg.F90	(revision 341)
+++ trunk/NEMO/TOP_SRC/TRP/trcldf_bilapg.F90	(revision 342)
@@ -27,5 +27,7 @@
 #  include "passivetrc_substitute.h90"
    !!----------------------------------------------------------------------
-   !!   OPA 9.0 , LODYC-IPSL (2003)
+   !!   OPA 9.0 , LOCEAN-IPSL (2005) 
+   !! $Header$ 
+   !! This software is governed by the CeCILL licence see modipsl/doc/NEMO_CeCILL.txt 
    !!----------------------------------------------------------------------
    
Index: trunk/NEMO/TOP_SRC/TRP/trcldf_iso.F90
===================================================================
--- trunk/NEMO/TOP_SRC/TRP/trcldf_iso.F90	(revision 341)
+++ trunk/NEMO/TOP_SRC/TRP/trcldf_iso.F90	(revision 342)
@@ -25,4 +25,8 @@
    !! * Substitutions
 #  include "passivetrc_substitute.h90"
+   !!----------------------------------------------------------------------
+   !!   OPA 9.0 , LOCEAN-IPSL (2005) 
+   !! $Header$ 
+   !! This software is governed by the CeCILL licence see modipsl/doc/NEMO_CeCILL.txt 
    !!----------------------------------------------------------------------
 
Index: trunk/NEMO/TOP_SRC/TRP/trcldf_iso_zps.F90
===================================================================
--- trunk/NEMO/TOP_SRC/TRP/trcldf_iso_zps.F90	(revision 341)
+++ trunk/NEMO/TOP_SRC/TRP/trcldf_iso_zps.F90	(revision 342)
@@ -25,5 +25,7 @@
 #  include "passivetrc_substitute.h90"
    !!----------------------------------------------------------------------
-   !!   OPA 9.0 , LODYC-IPSL (2003)
+   !!   OPA 9.0 , LOCEAN-IPSL (2005) 
+   !! $Header$ 
+   !! This software is governed by the CeCILL licence see modipsl/doc/NEMO_CeCILL.txt 
    !!----------------------------------------------------------------------
 
Index: trunk/NEMO/TOP_SRC/TRP/trcldf_lap.F90
===================================================================
--- trunk/NEMO/TOP_SRC/TRP/trcldf_lap.F90	(revision 341)
+++ trunk/NEMO/TOP_SRC/TRP/trcldf_lap.F90	(revision 342)
@@ -23,5 +23,7 @@
 #  include "passivetrc_substitute.h90"
    !!----------------------------------------------------------------------
-   !!   OPA 9.0 , LODYC-IPSL (2003)
+   !!   OPA 9.0 , LOCEAN-IPSL (2005) 
+   !! $Header$ 
+   !! This software is governed by the CeCILL licence see modipsl/doc/NEMO_CeCILL.txt 
    !!----------------------------------------------------------------------
    
Index: trunk/NEMO/TOP_SRC/TRP/trcnxt.F90
===================================================================
--- trunk/NEMO/TOP_SRC/TRP/trcnxt.F90	(revision 341)
+++ trunk/NEMO/TOP_SRC/TRP/trcnxt.F90	(revision 342)
@@ -21,5 +21,7 @@
    PUBLIC trc_nxt          ! routine called by step.F90
    !!----------------------------------------------------------------------
-   !!   OPA 9.0 , LODYC-IPSL   (2003)
+   !!   OPA 9.0 , LOCEAN-IPSL (2005) 
+   !! $Header$ 
+   !! This software is governed by the CeCILL licence see modipsl/doc/NEMO_CeCILL.txt 
    !!----------------------------------------------------------------------
 
Index: trunk/NEMO/TOP_SRC/TRP/trcrad.F90
===================================================================
--- trunk/NEMO/TOP_SRC/TRP/trcrad.F90	(revision 341)
+++ trunk/NEMO/TOP_SRC/TRP/trcrad.F90	(revision 342)
@@ -22,5 +22,7 @@
 #  include "passivetrc_substitute.h90"
    !!----------------------------------------------------------------------
-   !!   OPA 9.0 , LODYC-IPSL   (2003)
+   !!   OPA 9.0 , LOCEAN-IPSL (2005) 
+   !! $Header$ 
+   !! This software is governed by the CeCILL licence see modipsl/doc/NEMO_CeCILL.txt 
    !!----------------------------------------------------------------------
 CONTAINS
Index: trunk/NEMO/TOP_SRC/TRP/trcsbc.F90
===================================================================
--- trunk/NEMO/TOP_SRC/TRP/trcsbc.F90	(revision 341)
+++ trunk/NEMO/TOP_SRC/TRP/trcsbc.F90	(revision 342)
@@ -23,5 +23,7 @@
 #  include "passivetrc_substitute.h90"
    !!----------------------------------------------------------------------
-   !!   OPA 9.0 , LODYC-IPSL (2003)
+   !!   OPA 9.0 , LOCEAN-IPSL (2005) 
+   !! $Header$ 
+   !! This software is governed by the CeCILL licence see modipsl/doc/NEMO_CeCILL.txt 
    !!----------------------------------------------------------------------
 
Index: trunk/NEMO/TOP_SRC/TRP/trcstp.F90
===================================================================
--- trunk/NEMO/TOP_SRC/TRP/trcstp.F90	(revision 341)
+++ trunk/NEMO/TOP_SRC/TRP/trcstp.F90	(revision 342)
@@ -23,5 +23,7 @@
    PUBLIC trc_stp           ! called by step
    !!----------------------------------------------------------------------
-   !!   OPA 9.0 , LODYC-IPSL (2003)
+   !!   OPA 9.0 , LOCEAN-IPSL (2005) 
+   !! $Header$ 
+   !! This software is governed by the CeCILL licence see modipsl/doc/NEMO_CeCILL.txt 
    !!----------------------------------------------------------------------
 
Index: trunk/NEMO/TOP_SRC/TRP/trctrp.F90
===================================================================
--- trunk/NEMO/TOP_SRC/TRP/trctrp.F90	(revision 341)
+++ trunk/NEMO/TOP_SRC/TRP/trctrp.F90	(revision 342)
@@ -50,5 +50,7 @@
 #  include "domzgr_substitute.h90"
    !!----------------------------------------------------------------------
-   !!   OPA 9.0 , LODYC-IPSL (2003)
+   !!   OPA 9.0 , LOCEAN-IPSL (2005) 
+   !! $Header$ 
+   !! This software is governed by the CeCILL licence see modipsl/doc/NEMO_CeCILL.txt 
    !!----------------------------------------------------------------------
 
Index: trunk/NEMO/TOP_SRC/TRP/trctrp_ctl.F90
===================================================================
--- trunk/NEMO/TOP_SRC/TRP/trctrp_ctl.F90	(revision 341)
+++ trunk/NEMO/TOP_SRC/TRP/trctrp_ctl.F90	(revision 342)
@@ -27,5 +27,7 @@
 
    !!----------------------------------------------------------------------
-   !!   OPA 9.0 , LODYC-IPSL (2003)
+   !!   OPA 9.0 , LOCEAN-IPSL (2005) 
+   !! $Header$ 
+   !! This software is governed by the CeCILL licence see modipsl/doc/NEMO_CeCILL.txt 
    !!----------------------------------------------------------------------
 
Index: trunk/NEMO/TOP_SRC/TRP/trctrp_lec.F90
===================================================================
--- trunk/NEMO/TOP_SRC/TRP/trctrp_lec.F90	(revision 341)
+++ trunk/NEMO/TOP_SRC/TRP/trctrp_lec.F90	(revision 342)
@@ -70,5 +70,7 @@
 #endif
    !!----------------------------------------------------------------------
-   !!   OPA 9.0 , LODYC-IPSL (2003)
+   !!   OPA 9.0 , LOCEAN-IPSL (2005) 
+   !! $Header$ 
+   !! This software is governed by the CeCILL licence see modipsl/doc/NEMO_CeCILL.txt 
    !!----------------------------------------------------------------------
 
Index: trunk/NEMO/TOP_SRC/TRP/trczdf_exp.F90
===================================================================
--- trunk/NEMO/TOP_SRC/TRP/trczdf_exp.F90	(revision 341)
+++ trunk/NEMO/TOP_SRC/TRP/trczdf_exp.F90	(revision 342)
@@ -29,5 +29,7 @@
 #  include "passivetrc_substitute.h90"
    !!----------------------------------------------------------------------
-   !!  OPA 9.0, LODYC-IPSL (2003)
+   !!   OPA 9.0 , LOCEAN-IPSL (2005) 
+   !! $Header$ 
+   !! This software is governed by the CeCILL licence see modipsl/doc/NEMO_CeCILL.txt 
    !!----------------------------------------------------------------------
 
Index: trunk/NEMO/TOP_SRC/TRP/trczdf_imp.F90
===================================================================
--- trunk/NEMO/TOP_SRC/TRP/trczdf_imp.F90	(revision 341)
+++ trunk/NEMO/TOP_SRC/TRP/trczdf_imp.F90	(revision 342)
@@ -28,5 +28,7 @@
 #  include "passivetrc_substitute.h90"
    !!----------------------------------------------------------------------
-   !!   OPA 9.0 , LODYC-IPSL (2003)
+   !!   OPA 9.0 , LOCEAN-IPSL (2005) 
+   !! $Header$ 
+   !! This software is governed by the CeCILL licence see modipsl/doc/NEMO_CeCILL.txt 
    !!----------------------------------------------------------------------
 
Index: trunk/NEMO/TOP_SRC/TRP/trczdf_iso.F90
===================================================================
--- trunk/NEMO/TOP_SRC/TRP/trczdf_iso.F90	(revision 341)
+++ trunk/NEMO/TOP_SRC/TRP/trczdf_iso.F90	(revision 342)
@@ -31,4 +31,8 @@
    !! * Substitutions
 #  include "passivetrc_substitute.h90"
+   !!----------------------------------------------------------------------
+   !!   OPA 9.0 , LOCEAN-IPSL (2005) 
+   !! $Header$ 
+   !! This software is governed by the CeCILL licence see modipsl/doc/NEMO_CeCILL.txt 
    !!----------------------------------------------------------------------
 
@@ -147,6 +151,4 @@
       CHARACTER (len=22) :: charout
       !!---------------------------------------------------------------------
-      !!  OPA 8.5, LODYC-IPSL (2002)
-      !!---------------------------------------------------------------------
 
       IF( kt == nittrc000 ) THEN
Index: trunk/NEMO/TOP_SRC/TRP/trczdf_iso_vopt.F90
===================================================================
--- trunk/NEMO/TOP_SRC/TRP/trczdf_iso_vopt.F90	(revision 341)
+++ trunk/NEMO/TOP_SRC/TRP/trczdf_iso_vopt.F90	(revision 342)
@@ -34,4 +34,8 @@
    !! * Substitutions
 #  include "passivetrc_substitute.h90"
+   !!----------------------------------------------------------------------
+   !!   OPA 9.0 , LOCEAN-IPSL (2005) 
+   !! $Header$ 
+   !! This software is governed by the CeCILL licence see modipsl/doc/NEMO_CeCILL.txt 
    !!----------------------------------------------------------------------
 
@@ -53,6 +57,4 @@
       INTEGER, INTENT( in ) ::   kt      ! ocean time-step index
       CHARACTER (len=22) :: charout
-      !!---------------------------------------------------------------------
-      !!  OPA 8.5, LODYC-IPSL (2002)
       !!---------------------------------------------------------------------
 
@@ -163,6 +165,4 @@
       REAL(wp) ::    ztra              !temporary scalars
       !!---------------------------------------------------------------------
-      !!  OPA 8.5, LODYC-IPSL (2002)
-      !!---------------------------------------------------------------------
 
 
@@ -408,7 +408,4 @@
       REAL(wp), DIMENSION(jpi,jpj,jpk) ::   &
          zwz, zwt, ztfw             ! temporary workspace arrays
-
-      !!---------------------------------------------------------------------
-      !!  OPA 8.5, LODYC-IPSL (2002)
       !!---------------------------------------------------------------------
 
Index: trunk/NEMO/TOP_SRC/TRP/zpshde_trc.F90
===================================================================
--- trunk/NEMO/TOP_SRC/TRP/zpshde_trc.F90	(revision 341)
+++ trunk/NEMO/TOP_SRC/TRP/zpshde_trc.F90	(revision 342)
@@ -28,4 +28,8 @@
    !! * Substitutions
 #  include "passivetrc_substitute.h90"
+   !!----------------------------------------------------------------------
+   !!   OPA 9.0 , LOCEAN-IPSL (2005) 
+   !! $Header$ 
+   !! This software is governed by the CeCILL licence see modipsl/doc/NEMO_CeCILL.txt 
    !!----------------------------------------------------------------------
 
@@ -95,6 +99,4 @@
          zmaxu1, zmaxu2,         &  !    "         "
          zmaxv1, zmaxv2             !    "         "
-      !!----------------------------------------------------------------------
-      !!  OPA 8.5, LODYC-IPSL (2002)
       !!----------------------------------------------------------------------
 