Index: trunk/NEMO/TOP_SRC/SMS/trcctl.cfc.h90
===================================================================
--- trunk/NEMO/TOP_SRC/SMS/trcctl.cfc.h90	(revision 349)
+++ trunk/NEMO/TOP_SRC/SMS/trcctl.cfc.h90	(revision 350)
@@ -1,13 +1,9 @@
-   !!
-   !! Modifications:
-   !! --------------
-   !!    05-10 (C. Ethe): 
-   !!           assign a parameter to name individual tracers
-   !!
-   !!----------------------------------------------------------------------
-   !!  TOP 1.0 , LOCEAN-IPSL (2005) 
-   !! $Header$ 
-   !! This software is governed by the CeCILL licence see modipsl/doc/NEMO_CeCILL.txt 
-   !!----------------------------------------------------------------------
+! $Id$
+!!!
+!!! Modifications:
+!!! --------------
+!!!    05-10 (C. Ethe): 
+!!!           assign a parameter to name individual tracers
+!!!
 
       IF(lwp) THEN
@@ -16,6 +12,6 @@
       ENDIF
 
-      ! Check number of tracers
-      ! -----------------------
+! Check number of tracers
+! -----------------------
      
       IF (jptra .GT. 2) THEN 
@@ -29,17 +25,16 @@
       END IF 
 
-      ! Check tracer names
-      ! ------------------
-
+! Check tracer names
+! ------------------
       IF ( jptra == 1 ) THEN
          IF ( jp11 == 1 ) THEN
-            IF ( ctrcnm(jp11) /= 'CFC-11') THEN
-               ctrcnm(jp11)='CFC-11'
+            IF ( ctrcnm(jp11) /= 'CFC11') THEN
+               ctrcnm(jp11)='CFC11'
                ctrcnl(jp11)='Carbonate 11 concentration'
             ENDIF
          ENDIF
          IF ( jp12 == 1 ) THEN
-            IF ( ctrcnm(jp12) /= 'CFC-12') THEN
-               ctrcnm(jp12)='CFC-12'
+            IF ( ctrcnm(jp12) /= 'CFC12') THEN
+               ctrcnm(jp12)='CFC12'
                ctrcnl(jp12)='Carbonate 12 concentration'
             ENDIF
@@ -48,8 +43,8 @@
 
       IF ( jptra == 2 ) THEN
-         IF ( ctrcnm(jp11) /= 'CFC-11' .OR. ctrcnm(jp12) /= 'CFC-12' ) THEN 
-            ctrcnm(jp11)='CFC-11'
+         IF ( ctrcnm(jp11) /= 'CFC11' .OR. ctrcnm(jp12) /= 'CFC12' ) THEN 
+            ctrcnm(jp11)='CFC11'
             ctrcnl(jp11)='Carbonate 11 concentration'
-            ctrcnm(jp12)='CFC-12'
+            ctrcnm(jp12)='CFC12'
             ctrcnl(jp12)='Carbonate 12 concentration' 
          ENDIF
@@ -67,6 +62,5 @@
 
 
-      ! Check tracer units
-      ! ------------------
+! Check tracer units
 
       DO jn=1,jptra
Index: trunk/NEMO/TOP_SRC/trcrst.F90
===================================================================
--- trunk/NEMO/TOP_SRC/trcrst.F90	(revision 349)
+++ trunk/NEMO/TOP_SRC/trcrst.F90	(revision 350)
@@ -30,4 +30,7 @@
    CHARACTER (len=48) ::   &
       trestart = 'initial.trc.nc'   ! restart file name
+
+   !! * Substitutions
+#  include "passivetrc_substitute.h90"
    
 CONTAINS
@@ -85,4 +88,9 @@
 
       REAL(wp), DIMENSION(3) :: zinfo
+
+#if defined key_trc_pisces && ( defined key_orca_r4 || defined key_orca_r2 || defined key_orca_r05 || defined key_orca_r025 )
+      REAL(wp) , DIMENSION(jpi,jpj,jpk) ::   zvolk      
+      REAL(wp) ::   zareatot, zpo4tot
+#endif
 
       !!---------------------------------------------------------------------
@@ -238,7 +246,76 @@
 
 #if defined key_trc_pisces 
+
+#if defined key_orca_r4 || defined key_orca_r2 || defined key_orca_r05 || defined key_orca_r025
+
+      zvolk(:,:,:) = 0.
+      zareatot     = 0.
+      DO jk = 1, jpkm1
+         DO jj = 2, jpjm1
+            DO ji = 2, jpim1
+               zvolk(ji,jj,jk) = e1t(ji,jj) * e2t(ji,jj) * fse3t(ji,jj,jk) * tmask(ji,jj,jk)
+               zareatot        = zareatot + zvolk(ji,jj,jk)
+            ENDDO
+         ENDDO
+      ENDDO
+
+
+      zpo4tot = 0.
+      DO jk = 1, jpkm1
+         DO jj = 2, jpjm1
+            DO ji = 2, jpim1
+               zpo4tot = zpo4tot + trn(ji,jj,jk,jptal) * zvolk(ji,jj,jk)
+            END DO
+         END DO
+      END DO
+
+      WRITE(0,*) 'TALK moyen ', zpo4tot/zareatot*1E6
+      zpo4tot = zpo4tot/zareatot*1E6
+      trn(:,:,:,jptal) = trn(:,:,:,jptal)*2391./zpo4tot
+
+
+      zpo4tot = 0.
+      DO jk = 1, jpkm1
+         DO jj = 2, jpjm1
+            DO ji = 2, jpim1
+               zpo4tot = zpo4tot + trn(ji,jj,jk,jppo4) * zvolk(ji,jj,jk)
+            END DO
+         END DO
+      END DO
+
+      WRITE(0,*) 'PO4 moyen ', zpo4tot/zareatot*1E6/122.
+      zpo4tot = zpo4tot/zareatot*1E6/122.
+      trn(:,:,:,jppo4) = trn(:,:,:,jppo4)*2.165/zpo4tot
+
+
+      zpo4tot = 0.
+      DO jk = 1, jpkm1
+         DO jj = 2, jpjm1
+            DO ji = 2, jpim1
+               zpo4tot = zpo4tot + trn(ji,jj,jk,jpno3) * zvolk(ji,jj,jk)
+            END DO
+         END DO
+      END DO
+
+      WRITE(0,*) 'NO3 moyen ', zpo4tot/zareatot*1E6/7.6
+      zpo4tot = zpo4tot/zareatot*1E6/7.6
+      trn(:,:,:,jpno3) = trn(:,:,:,jpno3)*30.9/zpo4tot
+
+      zpo4tot = 0.
+      DO jk = 1, jpkm1
+         DO jj = 2, jpjm1
+            DO ji = 2, jpim1
+               zpo4tot = zpo4tot + trn(ji,jj,jk,jpsil) * zvolk(ji,jj,jk)
+            END DO
+         END DO
+      END DO
+
+      WRITE(0,*) 'SiO3 moyen ', zpo4tot/zareatot*1E6
+      zpo4tot = zpo4tot/zareatot*1E6
+      trn(:,:,:,jpsil) = MIN( 400E-6,trn(:,:,:,jpsil)*91.51/zpo4tot) 
+
+#endif
       !!  Initialization of chemical variables of the carbon cycle
       !!  --------------------------------------------------------
-
       DO jk = 1,jpk
          DO jj = 1,jpj
Index: trunk/NEMO/TOP_SRC/trcrst_fdir.h90
===================================================================
--- trunk/NEMO/TOP_SRC/trcrst_fdir.h90	(revision 349)
+++ trunk/NEMO/TOP_SRC/trcrst_fdir.h90	(revision 350)
@@ -7,6 +7,6 @@
       !!------------------------------------------------------------------------
       !!  TOP 1.0,  LOCEAN-IPSL (2005) 
-   !! $Header$ 
-   !! This software is governed by the CeCILL licence see modipsl/doc/NEMO_CeCILL.txt 
+      !! $Header$ 
+      !! This software is governed by the CeCILL licence see modipsl/doc/NEMO_CeCILL.txt 
       !!----------------------------------------------------------------------
       