Index: /trunk/CONFIG/GYRE/scripts/BB_make
===================================================================
--- /trunk/CONFIG/GYRE/scripts/BB_make	(revision 355)
+++ /trunk/CONFIG/GYRE/scripts/BB_make	(revision 356)
@@ -27,5 +27,5 @@
 #-Q- g95  L_X = -r8 -O3
 #-Q- aix    # Compiler options for the ORCA model (aix version)
-#-Q- aix    F_O = -O3 -qsave -qautodbl=dbl4 -qsuffix=f=f90 -qsuffix=cpp=F90 -qextname -qsource -q64 -qlargepage -qmaxmem=-1 -I $(MODDIR) -I $(MODDIR)/oce
+#-Q- aix    F_O = -O3 -qsave -qrealsize=8 -qsuffix=f=f90 -qsuffix=cpp=F90 -qextname -qsource -q64 -qlargepage -qmaxmem=-1 -I $(MODDIR) -I $(MODDIR)/oce
 #-Q- aix   L_O = $(F_P) -q64 -bmaxdata:2000000000 -O3
 #-Q- aix   L_X = $(L_O) $(L_C) 
@@ -345,5 +345,5 @@
 #-Q- hpux		-R2 \
 #-Q- aix		-qsource \
-		$*.f90 || { [ -f $(PREF)$*.L ] && mv $(PREF)$*.L $(TMP) ; false ; exit ; }
+		$*.f90 || { if [ -f $(PREF)$*.L ] ; then mv $(PREF)$*.L $(TMP) ; fi ; false ; exit ; }
 #-Q- sxnec		@$(A_X) $(SXMODEL_LIB) $*.o  > /dev/null
 #-Q- sx6nec		@$(A_X) $(SXMODEL_LIB) $*.o  > /dev/null
@@ -356,5 +356,5 @@
 #-Q- linux		@mv $(PREF)$*.lst $(PREF)$*.L
 #-Q- osxxlf		@mv $(PREF)$*.lst $(PREF)$*.L
-		@[ -f $(PREF)$*.L ] && mv $(PREF)$*.L $(TMP)
+		@if [ -f $(PREF)$*.L ] ; then mv $(PREF)$*.L $(TMP) ; fi
 
 # rules for the .F90 files
@@ -367,5 +367,5 @@
 #-Q- hpux		-R2 \
 #-Q- aix		-qsource \
-		$*.F90 || { [ -f $(PREF)$*.L ] && mv $(PREF)$*.L $(TMP) ; false ; exit ; }
+		$*.F90 || { if [ -f $(PREF)$*.L ] ; then mv $(PREF)$*.L $(TMP) ; fi ; false ; exit ; }
 #-Q- sxnec		@$(A_X) $(SXMODEL_LIB) $*.o  > /dev/null
 #-Q- sx6nec		@$(A_X) $(SXMODEL_LIB) $*.o  > /dev/null
@@ -378,5 +378,5 @@
 #-Q- linux		@mv $(PREF)$*.lst $(PREF)$*.L
 #-Q- osxxlf		@mv $(PREF)$*.lst $(PREF)$*.L
-		@[ -f $(PREF)$*.L ] && mv $(PREF)$*.L $(TMP)
+		@if [ -f $(PREF)$*.L ] ; then mv $(PREF)$*.L $(TMP) ; fi
 
 # rules for the .F files
@@ -389,5 +389,5 @@
 #-Q- hpux		-R2 \
 #-Q- aix		-qsource \
-		$*.F || { [ -f $(PREF)$*.L ] && mv $(PREF)$*.L $(TMP) ; false ; exit ; }
+		$*.F || { if [ -f $(PREF)$*.L ] ; then mv $(PREF)$*.L $(TMP) ; fi ; false ; exit ; }
 #-Q- sxnec		@$(A_X) $(SXMODEL_LIB) $*.o  > /dev/null
 #-Q- sx6nec		@$(A_X) $(SXMODEL_LIB) $*.o  > /dev/null
@@ -400,5 +400,5 @@
 #-Q- linux		@mv $(PREF)$*.lst $(PREF)$*.L
 #-Q- osxxlf		@mv $(PREF)$*.lst $(PREF)$*.L
-		@[ -f $(PREF)$*.L ] && mv $(PREF)$*.L $(TMP)
+		@if [ -f $(PREF)$*.L ] ; then mv $(PREF)$*.L $(TMP) ; fi
 
 # rules for the library from the .f files 
@@ -411,5 +411,5 @@
 #-Q- hpux		-R2 \
 #-Q- aix		-qsource \
-		$*.f|| { [ -f $*.L ] && mv $*.L $(TMP) ; false ; exit ; }
+		$*.f|| { if [ -f $(PREF)$*.L ] ; then mv $*.L $(TMP) ; fi ; false ; exit ; }
 #-Q- sxnec		@$(A_X) $(SXMODEL_LIB) $*.o  > /dev/null
 #-Q- sx6nec		@$(A_X) $(SXMODEL_LIB) $*.o  > /dev/null
@@ -421,5 +421,5 @@
 #-Q- linux	@mv $(PREF)$*.lst $(PREF)$*.L
 #-Q- osxxlf		@mv $(PREF)$*.lst $(PREF)$*.L
-		@[ -f $(PREF)$*.L ] && mv $*.L $(TMP)
+		@if [ -f $(PREF)$*.L ] ; then mv $(PREF)$*.L $(TMP) ; fi
 #
 $(MODEL_LIB)(albedo.o) :	\
Index: /trunk/CONFIG/GYRE/scripts/BB_make.ldef
===================================================================
--- /trunk/CONFIG/GYRE/scripts/BB_make.ldef	(revision 355)
+++ /trunk/CONFIG/GYRE/scripts/BB_make.ldef	(revision 356)
@@ -38,5 +38,5 @@
 #-Q- g95  P_P = -Dkey_gyre -Dkey_dynspg_fsc -Dkey_ldfslp -Dkey_zdftke -Dkey_vectopt_loop -Dkey_vectopt_memory
 #-
-#-Q- aix     P_P = -WF,-Dkey_gyre -WF,-Dkey_dynspg_fsc -WF,-Dkey_ldfslp -WF,-Dkey_zdftke -WF,-Dkey_vectopt_loop -WF,-Dkey_vectopt_memory
+#-Q- aix     P_P = -WF,-Dkey_gyre -WF,-Dkey_dynspg_fsc -WF,-Dkey_ldfslp -WF,-Dkey_zdftke -WF,-Dkey_vectopt_memory
 #-
-#-Q- osxxlf     P_P = -WF,-Dkey_gyre -WF,-Dkey_dynspg_fsc -WF,-Dkey_ldfslp -WF,-Dkey_zdftke -WF,-Dkey_vectopt_loop -WF,-Dkey_vectopt_memory
+#-Q- osxxlf     P_P = -WF,-Dkey_gyre -WF,-Dkey_dynspg_fsc -WF,-Dkey_ldfslp -WF,-Dkey_zdftke -WF,-Dkey_vectopt_memory
Index: /trunk/CONFIG/ORCA2_LIM/scripts/BB_make
===================================================================
--- /trunk/CONFIG/ORCA2_LIM/scripts/BB_make	(revision 355)
+++ /trunk/CONFIG/ORCA2_LIM/scripts/BB_make	(revision 356)
@@ -27,5 +27,5 @@
 #-Q- g95  L_X = -r8 -O3
 #-Q- aix    # Compiler options for the ORCA model (aix version)
-#-Q- aix    F_O = -O3 -qsave -qautodbl=dbl4 -qsuffix=f=f90 -qsuffix=cpp=F90 -qextname -qsource -q64 -qlargepage -qmaxmem=-1 -I $(MODDIR) -I $(MODDIR)/oce
+#-Q- aix    F_O = -O3 -qsave -qrealsize=8 -qsuffix=f=f90 -qsuffix=cpp=F90 -qextname -qsource -q64 -qlargepage -qmaxmem=-1 -I $(MODDIR) -I $(MODDIR)/oce
 #-Q- aix   L_O = $(F_P) -q64 -bmaxdata:2000000000 -O3
 #-Q- aix   L_X = $(L_O) $(L_C) 
@@ -345,5 +345,5 @@
 #-Q- hpux		-R2 \
 #-Q- aix		-qsource \
-		$*.f90 || { [ -f $(PREF)$*.L ] && mv $(PREF)$*.L $(TMP) ; false ; exit ; }
+		$*.f90 || { if [ -f $(PREF)$*.L ] ; then mv $(PREF)$*.L $(TMP) ; fi ; false ; exit ; }
 #-Q- sxnec		@$(A_X) $(SXMODEL_LIB) $*.o  > /dev/null
 #-Q- sx6nec		@$(A_X) $(SXMODEL_LIB) $*.o  > /dev/null
@@ -356,5 +356,5 @@
 #-Q- linux		@mv $(PREF)$*.lst $(PREF)$*.L
 #-Q- osxxlf		@mv $(PREF)$*.lst $(PREF)$*.L
-		@[ -f $(PREF)$*.L ] && mv $(PREF)$*.L $(TMP)
+		@if [ -f $(PREF)$*.L ] ; then mv $(PREF)$*.L $(TMP) ; fi
 
 # rules for the .F90 files
@@ -367,5 +367,5 @@
 #-Q- hpux		-R2 \
 #-Q- aix		-qsource \
-		$*.F90 || { [ -f $(PREF)$*.L ] && mv $(PREF)$*.L $(TMP) ; false ; exit ; }
+		$*.F90 || { if [ -f $(PREF)$*.L ] ; then mv $(PREF)$*.L $(TMP) ; fi ; false ; exit ; }
 #-Q- sxnec		@$(A_X) $(SXMODEL_LIB) $*.o  > /dev/null
 #-Q- sx6nec		@$(A_X) $(SXMODEL_LIB) $*.o  > /dev/null
@@ -378,5 +378,5 @@
 #-Q- linux		@mv $(PREF)$*.lst $(PREF)$*.L
 #-Q- osxxlf		@mv $(PREF)$*.lst $(PREF)$*.L
-		@[ -f $(PREF)$*.L ] && mv $(PREF)$*.L $(TMP)
+		@if [ -f $(PREF)$*.L ] ; then mv $(PREF)$*.L $(TMP) ; fi
 
 # rules for the .F files
@@ -389,5 +389,5 @@
 #-Q- hpux		-R2 \
 #-Q- aix		-qsource \
-		$*.F || { [ -f $(PREF)$*.L ] && mv $(PREF)$*.L $(TMP) ; false ; exit ; }
+		$*.F || { if [ -f $(PREF)$*.L ] ; then mv $(PREF)$*.L $(TMP) ; fi ; false ; exit ; }
 #-Q- sxnec		@$(A_X) $(SXMODEL_LIB) $*.o  > /dev/null
 #-Q- sx6nec		@$(A_X) $(SXMODEL_LIB) $*.o  > /dev/null
@@ -400,5 +400,5 @@
 #-Q- linux		@mv $(PREF)$*.lst $(PREF)$*.L
 #-Q- osxxlf		@mv $(PREF)$*.lst $(PREF)$*.L
-		@[ -f $(PREF)$*.L ] && mv $(PREF)$*.L $(TMP)
+		@if [ -f $(PREF)$*.L ] ; then mv $(PREF)$*.L $(TMP) ; fi
 
 # rules for the library from the .f files 
@@ -411,5 +411,5 @@
 #-Q- hpux		-R2 \
 #-Q- aix		-qsource \
-		$*.f|| { [ -f $*.L ] && mv $*.L $(TMP) ; false ; exit ; }
+		$*.f|| { if [ -f $(PREF)$*.L ] ; then mv $*.L $(TMP) ; fi ; false ; exit ; }
 #-Q- sxnec		@$(A_X) $(SXMODEL_LIB) $*.o  > /dev/null
 #-Q- sx6nec		@$(A_X) $(SXMODEL_LIB) $*.o  > /dev/null
@@ -421,5 +421,5 @@
 #-Q- linux	@mv $(PREF)$*.lst $(PREF)$*.L
 #-Q- osxxlf		@mv $(PREF)$*.lst $(PREF)$*.L
-		@[ -f $(PREF)$*.L ] && mv $*.L $(TMP)
+		@if [ -f $(PREF)$*.L ] ; then mv $(PREF)$*.L $(TMP) ; fi
 #
 $(MODEL_LIB)(albedo.o) :	\
Index: /trunk/CONFIG/ORCA2_LIM/scripts/BB_make.ldef
===================================================================
--- /trunk/CONFIG/ORCA2_LIM/scripts/BB_make.ldef	(revision 355)
+++ /trunk/CONFIG/ORCA2_LIM/scripts/BB_make.ldef	(revision 356)
@@ -53,7 +53,7 @@
 #-
 #-Q- aix     ## ORCA2-LIM standard
-#-Q- aix     P_P = -WF,-Dkey_partial_steps -WF,-Dkey_trabbl_dif -WF,-Dkey_vectopt_loop -WF,-Dkey_vectopt_memory -WF,-Dkey_orca_r2 -WF,-Dkey_ice_lim -WF,-Dkey_lim_fdd -WF,-Dkey_dynspg_fsc -WF,-Dkey_diaeiv -WF,-Dkey_ldfslp  -WF,-Dkey_traldf_c2d -WF,-Dkey_traldf_eiv -WF,-Dkey_dynldf_c3d -WF,-Dkey_dtatem -WF,-Dkey_dtasal -WF,-Dkey_tau_monthly -WF,-Dkey_flx_bulk_monthly -WF,-Dkey_tradmp -WF,-Dkey_trabbc -WF,-Dkey_zdftke -WF,-Dkey_zdfddm
+#-Q- aix     P_P = -WF,-Dkey_partial_steps -WF,-Dkey_trabbl_dif -WF,-Dkey_vectopt_memory -WF,-Dkey_orca_r2 -WF,-Dkey_ice_lim -WF,-Dkey_lim_fdd -WF,-Dkey_dynspg_fsc -WF,-Dkey_diaeiv -WF,-Dkey_ldfslp  -WF,-Dkey_traldf_c2d -WF,-Dkey_traldf_eiv -WF,-Dkey_dynldf_c3d -WF,-Dkey_dtatem -WF,-Dkey_dtasal -WF,-Dkey_tau_monthly -WF,-Dkey_flx_bulk_monthly -WF,-Dkey_tradmp -WF,-Dkey_trabbc -WF,-Dkey_zdftke -WF,-Dkey_zdfddm
 #-
 #-Q- osxxlf     ## ORCA2-LIM standard
-#-Q- osxxlf     P_P = -WF,-Dkey_partial_steps -WF,-Dkey_trabbl_dif -WF,-Dkey_vectopt_loop -WF,-Dkey_vectopt_memory -WF,-Dkey_orca_r2 -WF,-Dkey_ice_lim -WF,-Dkey_lim_fdd -WF,-Dkey_dynspg_fsc -WF,-Dkey_diaeiv -WF,-Dkey_ldfslp  -WF,-Dkey_traldf_c2d -WF,-Dkey_traldf_eiv -WF,-Dkey_dynldf_c3d -WF,-Dkey_dtatem -WF,-Dkey_dtasal -WF,-Dkey_tau_monthly -WF,-Dkey_flx_bulk_monthly -WF,-Dkey_tradmp -WF,-Dkey_trabbc -WF,-Dkey_zdftke -WF,-Dkey_zdfddm
+#-Q- osxxlf     P_P = -WF,-Dkey_partial_steps -WF,-Dkey_trabbl_dif -WF,-Dkey_vectopt_memory -WF,-Dkey_orca_r2 -WF,-Dkey_ice_lim -WF,-Dkey_lim_fdd -WF,-Dkey_dynspg_fsc -WF,-Dkey_diaeiv -WF,-Dkey_ldfslp  -WF,-Dkey_traldf_c2d -WF,-Dkey_traldf_eiv -WF,-Dkey_dynldf_c3d -WF,-Dkey_dtatem -WF,-Dkey_dtasal -WF,-Dkey_tau_monthly -WF,-Dkey_flx_bulk_monthly -WF,-Dkey_tradmp -WF,-Dkey_trabbc -WF,-Dkey_zdftke -WF,-Dkey_zdfddm
 
Index: /trunk/UTIL/fait_AA_make
===================================================================
--- /trunk/UTIL/fait_AA_make	(revision 355)
+++ /trunk/UTIL/fait_AA_make	(revision 356)
@@ -67,5 +67,5 @@
 #-Q- hpux		-R2 \\
 #-Q- aix		-qsource \\
-		\$*.f90 || { [ -f \$(PREF)\$*.L ] && mv \$(PREF)\$*.L \$(TMP) ; false ; exit ; }
+		\$*.f90 || { if [ -f \$(PREF)\$*.L ] ; then mv \$(PREF)\$*.L \$(TMP) ; fi ; false ; exit ; }
 #-Q- sxnec		@\$(A_X) \$(SXMODEL_LIB) \$*.o  > /dev/null
 #-Q- sx6nec		@\$(A_X) \$(SXMODEL_LIB) \$*.o  > /dev/null
@@ -78,5 +78,5 @@
 #-Q- linux		@mv \$(PREF)\$*.lst \$(PREF)\$*.L
 #-Q- osxxlf		@mv \$(PREF)\$*.lst \$(PREF)\$*.L
-		@[ -f \$(PREF)\$*.L ] && mv \$(PREF)\$*.L \$(TMP)
+		@if [ -f \$(PREF)\$*.L ] ; then mv \$(PREF)\$*.L \$(TMP) ; fi
 
 # rules for the .F90 files
@@ -89,5 +89,5 @@
 #-Q- hpux		-R2 \\
 #-Q- aix		-qsource \\
-		\$*.F90 || { [ -f \$(PREF)\$*.L ] && mv \$(PREF)\$*.L \$(TMP) ; false ; exit ; }
+		\$*.F90 || { if [ -f \$(PREF)\$*.L ] ; then mv \$(PREF)\$*.L \$(TMP) ; fi ; false ; exit ; }
 #-Q- sxnec		@\$(A_X) \$(SXMODEL_LIB) \$*.o  > /dev/null
 #-Q- sx6nec		@\$(A_X) \$(SXMODEL_LIB) \$*.o  > /dev/null
@@ -100,5 +100,5 @@
 #-Q- linux		@mv \$(PREF)\$*.lst \$(PREF)\$*.L
 #-Q- osxxlf		@mv \$(PREF)\$*.lst \$(PREF)\$*.L
-		@[ -f \$(PREF)\$*.L ] && mv \$(PREF)\$*.L \$(TMP)
+		@if [ -f \$(PREF)\$*.L ] ; then mv \$(PREF)\$*.L \$(TMP) ; fi
 
 # rules for the .F files
@@ -111,5 +111,5 @@
 #-Q- hpux		-R2 \\
 #-Q- aix		-qsource \\
-		\$*.F || { [ -f \$(PREF)\$*.L ] && mv \$(PREF)\$*.L \$(TMP) ; false ; exit ; }
+		\$*.F || { if [ -f \$(PREF)\$*.L ] ; then mv \$(PREF)\$*.L \$(TMP) ; fi ; false ; exit ; }
 #-Q- sxnec		@\$(A_X) \$(SXMODEL_LIB) \$*.o  > /dev/null
 #-Q- sx6nec		@\$(A_X) \$(SXMODEL_LIB) \$*.o  > /dev/null
@@ -122,5 +122,5 @@
 #-Q- linux		@mv \$(PREF)\$*.lst \$(PREF)\$*.L
 #-Q- osxxlf		@mv \$(PREF)\$*.lst \$(PREF)\$*.L
-		@[ -f \$(PREF)\$*.L ] && mv \$(PREF)\$*.L \$(TMP)
+		@if [ -f \$(PREF)\$*.L ] ; then mv \$(PREF)\$*.L \$(TMP) ; fi
 
 # rules for the library from the .f files 
@@ -133,5 +133,5 @@
 #-Q- hpux		-R2 \\
 #-Q- aix		-qsource \\
-		\$*.f|| { [ -f \$*.L ] && mv \$*.L \$(TMP) ; false ; exit ; }
+		\$*.f|| { if [ -f \$(PREF)\$*.L ] ; then mv \$*.L \$(TMP) ; fi ; false ; exit ; }
 #-Q- sxnec		@\$(A_X) \$(SXMODEL_LIB) \$*.o  > /dev/null
 #-Q- sx6nec		@\$(A_X) \$(SXMODEL_LIB) \$*.o  > /dev/null
@@ -143,5 +143,5 @@
 #-Q- linux	@mv \$(PREF)\$*.lst \$(PREF)\$*.L
 #-Q- osxxlf		@mv \$(PREF)\$*.lst \$(PREF)\$*.L
-		@[ -f \$(PREF)\$*.L ] && mv \$*.L \$(TMP)
+		@if [ -f \$(PREF)\$*.L ] ; then mv \$*.L \$(TMP) ; fi
 #
 end
@@ -169,4 +169,5 @@
 echo '#-Q- hpux  # regular options!'
 echo '#-Q- hpux  F_O = $(FTRACE) -Wf,-A idbl4 -C vopt -Wf"-P nh" -Wf,-pvctl noassume loopcnt=10000 -L transform -I $(MODDIR) -I $(MODDIR)/oce'
+echo '#-Q- hpux  L_X = $(L_O)'
 echo '#-Q- linux  # Compiler options for the ORCA model (pgf version)'
 echo '#-Q- linux  F_O = -Mlist -O3 -byteswapio -r8  -I $(MODDIR) -I$(MODDIR)/oce'
@@ -179,5 +180,5 @@
 echo '#-Q- g95  L_X = -r8 -O3'
 echo '#-Q- aix    # Compiler options for the ORCA model (aix version)'
-echo '#-Q- aix    F_O = -O3 -qsave -qautodbl=dbl4 -qsuffix=f=f90 -qsuffix=cpp=F90 -qextname -qsource -q64 -qlargepage -qmaxmem=-1 -I $(MODDIR) -I $(MODDIR)/oce' 
+echo '#-Q- aix    F_O = -O3 -qsave -qrealsize=8 -qsuffix=f=f90 -qsuffix=cpp=F90 -qextname -qsource -q64 -qlargepage -qmaxmem=-1 -I $(MODDIR) -I $(MODDIR)/oce' 
 echo '#-Q- aix   L_O = $(F_P) -q64 -bmaxdata:2000000000 -O3'
 echo '#-Q- aix   L_X = $(L_O) $(L_C) '